%global srcname testtools
%global __requires_exclude fixtures

Name:           python-%{srcname}
Version:        2.4.0
Release:        %mkrel 1
Summary:        Extensions to the Python standard library unit testing framework

Group:          Development/Python
License:        MIT
URL:            https://github.com/testing-cabal/testtools
Source0:        https://pypi.io/packages/source/t/%{srcname}/%{srcname}-%version.tar.gz
Patch0:         testtools-1.8.0-py3.patch
BuildArch:      noarch

%description
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%package -n     python3-%{srcname}
Summary:        Extensions to the Python standard library unit testing framework
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%prep
%setup -q -n %{srcname}-%{version}

# make the Python 3 build load the Python 3.x compatibility library directly
%patch0 -p1 -b .py3

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
rm testtools/_compat2x.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Aug 05 2020 kekepower <kekepower> 2.4.0-1.mga8
+ Revision: 1611265
- Update to version 2.4.0

* Sun Feb 16 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1531445
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 2.3.0-3.mga8
+ Revision: 1440354
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 2.3.0-3.mga7
+ Revision: 1351693
- rebuild with python 3.7
+ shlomif <shlomif>
- fix circular dependency

* Fri Sep 21 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1290414
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 2.3.0-1.mga7
+ Revision: 1211342
- Update to version 2.3.0
- Renamed python-testtools to python2-testtools

* Thu Oct 05 2017 tv <tv> 1.8.0-8.mga7
+ Revision: 1169047
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-6.mga7
+ Revision: 1135662
- Rebuild for python 3.6

* Fri Mar 04 2016 daviddavid <daviddavid> 1.8.0-5.mga6
+ Revision: 985622
- use new python macros (fix build)

* Fri Feb 19 2016 umeabot <umeabot> 1.8.0-4.mga6
+ Revision: 971014
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.8.0-3.mga6
+ Revision: 888994
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 872841
- add python3 package
- add patch from Fedora to fix Python 3.x compatibility library directly
- use new python2 macro
- update file list

* Mon Aug 31 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871499
- imported package python-testtools

